> ## Documentation Index
> Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Resource Types

> List the resource type categories configured for your account. Use these to populate a picker when creating resources.



## OpenAPI

````yaml GET /resource-types
openapi: 3.1.0
info:
  title: Haystack API
  description: Content management and semantic search API for Haystack
  version: 2.0.0
  contact:
    name: Haystack Support
    email: support@thehaystack.ai
    url: https://thehaystack.ai
servers:
  - url: https://api.thehaystack.ai/v2/haystack
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Items
    description: Content item management
  - name: Collections
    description: Top-level content organization
  - name: Series
    description: Multi-part content grouping
  - name: Speakers
    description: Content presenter management
  - name: Media
    description: Video and audio asset management
  - name: Search
    description: Semantic content search
  - name: Analytics
    description: Usage statistics and metrics
  - name: Resources
    description: Attach supplementary files, links, and videos to items
  - name: Scriptures
    description: Attach Bible references to items
  - name: Chapters
    description: Time-based chapter markers on media assets
  - name: Stats
    description: Analytics and reporting
  - name: Frontend
    description: Public frontend configuration
paths:
  /resource-types:
    get:
      tags:
        - Resources
      summary: List resource types
      description: >-
        List the resource type categories configured for your account. Use these
        to populate a picker when creating resources.
      parameters:
        - name: _limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            maximum: 100
        - name: _offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Paginated list of resource types
          content:
            application/json:
              schema:
                type: object
                properties:
                  resourceTypes:
                    type: array
                    items:
                      $ref: '#/components/schemas/ResourceType'
                  limit:
                    type: integer
                  offset:
                    type: integer
                  page:
                    type: integer
                  totalRecords:
                    type: integer
                  totalPages:
                    type: integer
                  hasMore:
                    type: boolean
components:
  schemas:
    ResourceType:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          description: Display name for the resource category
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your API token from the Haystack dashboard

````